Memcached::delete
Memcached::fetch
Memcached
PHP Manual

# Memcached::deleteByKey

(PECL memcached >= 0.1.0)

Memcached::deleteByKey — Delete an item from a specific server

### Descrição

public bool Memcached::deleteByKey ( string `$server_key` , string `$key` [, int `$time` = 0 ] )

Memcached::deleteByKey() is functionally equivalent to Memcached::delete, except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parâmetros

`server_key`

  A chave identificando o servidor aonde guardar o valor.

`key`

  The key to be deleted.

`time`

  The amount of time the server will wait to delete the item.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas. The Memcached::getResultCode will return `Memcached::RES_NOTFOUND` if the key does not exist.

### Veja Também

- Memcached::delete - Delete an item

Memcached::delete
Memcached::fetch
Memcached
PHP Manual